Bug 1171843 - [abrt] abiword: g_wakeup_new(): abiword killed by SIGTRAP
Summary: [abrt] abiword: g_wakeup_new(): abiword killed by SIGTRAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:69bd617595db632931afaa6b18a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-08 18:08 UTC by Bastiaan Jacques
Modified: 2014-12-31 19:02 UTC (History)
1 user (show)

Fixed In Version: abiword-3.0.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-31 19:02:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (77.52 KB, text/plain)
2014-12-08 18:08 UTC, Bastiaan Jacques
no flags Details
File: cgroup (190 bytes, text/plain)
2014-12-08 18:08 UTC, Bastiaan Jacques
no flags Details
File: core_backtrace (32.03 KB, text/plain)
2014-12-08 18:08 UTC, Bastiaan Jacques
no flags Details
File: dso_list (17.06 KB, text/plain)
2014-12-08 18:08 UTC, Bastiaan Jacques
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-08 18:08 UTC, Bastiaan Jacques
no flags Details
File: maps (84.50 KB, text/plain)
2014-12-08 18:08 UTC, Bastiaan Jacques
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-12-08 18:08 UTC, Bastiaan Jacques
no flags Details
File: var_log_messages (128 bytes, text/plain)
2014-12-08 18:08 UTC, Bastiaan Jacques
no flags Details

Description Bastiaan Jacques 2014-12-08 18:08:09 UTC
Description of problem:
Tried to save a file. I can't remember if I merely opened the file save dialog or actually pressed save.

I had attempted to create the document by copy/pasting a table with formatting from a web page, and then converted the table to text.

Version-Release number of selected component:
abiword-3.0.0-14.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        abiword
crash_function: g_wakeup_new
executable:     /usr/bin/abiword
kernel:         3.17.4-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_wakeup_new at gwakeup.c:161
 #3 g_main_context_new at gmain.c:624
 #4 initable_init at gdbusproxy.c:1974
 #5 g_initable_new_valist at ginitable.c:228
 #6 g_initable_new at ginitable.c:146
 #7 gvfs_dbus_mount_tracker_proxy_new_sync at gvfsdbus.c:4621
 #8 init_connection_sync at gmounttracker.c:483
 #9 g_mount_tracker_constructor at gmounttracker.c:531
 #10 g_object_new_with_custom_constructor at gobject.c:1692
 #11 g_object_new_internal at gobject.c:1772

Potential duplicate: bug 1053082

Comment 1 Bastiaan Jacques 2014-12-08 18:08:13 UTC
Created attachment 965942 [details]
File: backtrace

Comment 2 Bastiaan Jacques 2014-12-08 18:08:14 UTC
Created attachment 965943 [details]
File: cgroup

Comment 3 Bastiaan Jacques 2014-12-08 18:08:16 UTC
Created attachment 965944 [details]
File: core_backtrace

Comment 4 Bastiaan Jacques 2014-12-08 18:08:18 UTC
Created attachment 965945 [details]
File: dso_list

Comment 5 Bastiaan Jacques 2014-12-08 18:08:19 UTC
Created attachment 965946 [details]
File: limits

Comment 6 Bastiaan Jacques 2014-12-08 18:08:21 UTC
Created attachment 965947 [details]
File: maps

Comment 7 Bastiaan Jacques 2014-12-08 18:08:22 UTC
Created attachment 965948 [details]
File: proc_pid_status

Comment 8 Bastiaan Jacques 2014-12-08 18:08:23 UTC
Created attachment 965949 [details]
File: var_log_messages

Comment 9 Fedora Update System 2014-12-27 01:47:14 UTC
abiword-3.0.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/abiword-3.0.1-1.fc21

Comment 10 Fedora Update System 2014-12-29 09:56:57 UTC
Package abiword-3.0.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abiword-3.0.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17660/abiword-3.0.1-1.fc21
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-12-31 19:02:12 UTC
abiword-3.0.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.